# Invoke-RASCertificateCmd

### NAME

Invoke-RASCertificateCmd\ <br>

### SYNOPSIS

Sends RAS Certificate commands.\ <br>

### SYNTAX

Invoke-RASCertificateCmd \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#Id)] *\<uint>* -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#Command) {Retry | Renew | Revoke} \[-[RevokeReason](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#RevokeReason) {Unspecified | KeyCompromise | Superseded | CessationOfOperation}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#CommonParameters)*>*]\
\
Invoke-RASCertificateCmd \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#InputObject)] *<*[*Certificate*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Certificate.html)*>* -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#Command) {Retry | Renew | Revoke} \[-[RevokeReason](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#RevokeReason) {Unspecified | KeyCompromise | Superseded | CessationOfOperation}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#CommonParameters)*>*]\
\
Invoke-RASCertificateCmd \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#Name)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#SiteId)] *\<uint>*] -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#Command) {Retry | Renew | Revoke} \[-[RevokeReason](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#RevokeReason) {Unspecified | KeyCompromise | Superseded | CessationOfOperation}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASCertificateCmd.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Sends certificate commands such as Renew, Retry and Revoke.\
\
It will not fail unless Id is invalid or certificate is not Let's Encrypt.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of a Certificate from a site to invoke a command on.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to invoke a command onto a Certificate.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a Certificate to invoke a command on.\
\
To obtain the ID, use the Get-RASCertificate cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**Certificate**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Certificate.html)**>**\
The Certificate to invoke a command on.\
\
To obtain a Certificate object representing a Certificate, use the Get-RASCertificate command."\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**Command <**[**AcmeCommand**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AcmeCommand.html)**>**\
Certificate command.\
\
Accepted values: Renew, Retry, Revoke.\
\
Possible values: Retry, Renew, Revoke\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**RevokeReason <**[**AcmeRevokeReason**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AcmeRevokeReason.html)**>**\
Acme revoke reason.\
\
Possible values: Unspecified, KeyCompromise, Superseded, CessationOfOperation\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                Unspecified
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[Certificate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Certificate.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Invoke-RASCertificateCmd -Id 1 -Command Revoke\
\
Invoke the RAS Certificate to revoke the Let's Encrypt certificate with Id 1.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Invoke-RASCertificateCmd -Id 1 -Command Renew\
\
Invoke the RAS Certificate to renew the Let's Encrypt certificate with Id 1.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Invoke-RASCertificateCmd -Id 1 -Command Retry\
\
Invoke the RAS Certificate to retry the Let's Encrypt certificate with Id 1.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/invoke-rascertificatecmd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
